/*
 * $Id: ProxyRunner.java,v 1.13 2012/04/25 19:37:51 oboehm Exp $
 *
 * Copyright (c) 2011 by Oliver Boehm
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express orimplied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * (c)reated 11.11.2011 by oliver (ob@oasd.de)
 */

package patterntesting.runtime.experimental;

import org.junit.runners.model.InitializationError;

/**
 * This is a JUnit runner which delegates the call one (or perhaps several)
 * other JUnit runners.
 * </br>
 * This class is no longer experimental. Therefore it is now moved to
 * the patterntesting.runtime.junit package. It will be marked as deprecated in
 * 1.3. and will be removed in 1.4 or 1.5.
 * 
 * @author oliver (ob@aosd.de)
 * @since 1.2 (11.11.2011)
 */
public class ProxyRunner extends patterntesting.runtime.junit.ProxyRunner {
    
    /**
     * Instantiates a new proxy runner.
     *
     * @param testClass the test class
     * @throws InitializationError the initialization error
     */
    public ProxyRunner(final Class<?> testClass) throws InitializationError {
        super(testClass);
    }

}

